## python-perfact 22.2.6+nmu2

=== debian/changelog ===
python-perfact (22.2.6+nmu2) UNRELEASED; urgency=medium

  [ Lennart Ferlemann ]
  * Adjust permissions of newly created OpenVPN key files

 -- Lennart Ferlemann <lennart.ferlemann@perfact.de>  Wed, 11 Oct 2023 14:18:26 +0200

python-perfact (22.2.6+nmu1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Adjust oidc module to be compatible with PyJWT>=2.0

 -- Max Starke <max.starke@perfact.de>  Wed, 13 Sep 2023 13:48:23 +0200

python-perfact (22.2.6) unstable; urgency=medium

  [ Viktor Dick ]
  * Hotfix: Fix tests for new iterative version of read_excel to work with
    Python 2

 -- Viktor Dick <viktor.dick@perfact.de>  Tue, 12 Sep 2023 10:15:49 +0200

python-perfact (22.2.5) unstable; urgency=medium

  [ Viktor Dick ]
  * Add iterative version of read_excel

  [ Pascal Sudmeier ]
  *  Fix curl call in generating incfiles

  [ Ján Jockusch ]
  * perfact.cert: Add function cert_changepassphrase

 -- Viktor Dick <viktor.dick@perfact.de>  Mon, 11 Sep 2023 08:07:45 +0200

python-perfact (22.2.4) unstable; urgency=medium

  [ Ján Jockusch ]
  * Fix PEP8 violations found by new flake8 version

 -- Viktor Dick <viktor.dick@perfact.de>  Mon, 31 Jul 2023 12:54:32 +0200

python-perfact (22.2.3) unstable; urgency=medium

  [ Jannik Böker ]
  * Add possibility to init daemondatasource from config-dict and classname
  * Add wrapper for AzureSDK based on new daemondatasource
  * Add new datasource for oData
  * Add new function deep_update to perfact.generic

 -- Ján Jockusch <jan.jockusch@perfact.de>  Mon, 31 Jul 2023 08:29:11 +0200

python-perfact (22.2.2) unstable; urgency=medium

  [ Thorsten Südbrock ]
  * Fix bytes/strings incompatibility in certificate handling

  [ Ján Jockusch ]
  * Fix perfact.network module to work with pyparsing version 3

  [ Lea Kruse ]
  * Add option for get_pfsysteminfo for fetching systemtype

 -- Ján Jockusch <jan.jockusch@perfact.de>  Wed, 12 Jul 2023 10:42:25 +0200

python-perfact (22.2.1) unstable; urgency=medium

  * Improve loading times for XLSX

 -- Viktor Dick <viktor.dick@perfact.de>  Mon, 08 May 2023 14:10:51 +0200

python-perfact (22.2.0) unstable; urgency=medium

  [ Kai Joshua Martin ]
  * Make sure when writing into a microsoft excel cell that
    strings are not longer than 32767 characters and length
    check for strings is compatible with python2.x.

 -- Viktor Dick <viktor.dick@perfact.de>  Fri, 05 May 2023 15:10:19 +0200

python-perfact (22.1.21) unstable; urgency=medium

  * Add FNC3 (as FS=0x1c) to the valid CODE-B entries in Code-128

 -- Ján Jockusch <jan.jockusch@perfact.de>  Wed, 26 Apr 2023 10:49:40 +0200

python-perfact (22.1.20) unstable; urgency=medium

  [ Thorsten Südbrock ]
  * Ensure the correct data type is used in read_pdata

 -- Ján Jockusch <jan.jockusch@perfact.de>  Fri, 21 Apr 2023 12:07:51 +0200

python-perfact (22.1.19) unstable; urgency=medium

  [ Viktor Dick ]
  * Omit cutting off error message in call_soapservice

 -- Viktor Dick <viktor.dick@perfact.de>  Fri, 21 Apr 2023 07:15:39 +0200

python-perfact (22.1.18) unstable; urgency=medium

  [ Viktor Dick ]
  * Show actual error behind MaxRetriesError in webservice.py

 -- Viktor Dick <viktor.dick@perfact.de>  Mon, 17 Apr 2023 12:02:35 +0200

python-perfact (22.1.17) unstable; urgency=medium

  [ Max Starke ]
  * Make necessary adjustments to build the package for debian:buster

 -- Ján Jockusch <jan.jockusch@perfact.de>  Tue, 11 Apr 2023 12:14:07 +0200

python-perfact (22.1.16) unstable; urgency=medium

  [ Viktor Dick ]
  * Check for nonexistent tables in perfact-dbrecord
  * Actually use the database name for perfact-dbrecord
  * Allow custom config for perfact-dbrecord

  [ Max Starke ]
  * Add Token from MSAL function

  [ Ján Jockusch ]
  * perfact.cert: Fix a bug in CA certificate extension

 -- Viktor Dick <viktor.dick@perfact.de>  Thu, 06 Apr 2023 17:10:58 +0200

python-perfact (22.1.15) unstable; urgency=medium

  [ Tim Jastrzembski ]
  * Add function get_zope_traceback, which returns a callstack containing
    only the zope processes.

  [ Viktor Dick ]
  * Disable webservice tests that rely on httpbin

 -- Viktor Dick <viktor.dick@perfact.de>  Fri, 17 Mar 2023 15:17:09 +0100

python-perfact (22.1.14) unstable; urgency=medium

  [ Max Starke ]
  * Make encryption algorithm for pkcs12 archives a parameter and inclusion of
    cacert in pkcs12 archive optional in perfact.cert

 -- Ján Jockusch <jan.jockusch@perfact.de>  Thu, 09 Mar 2023 13:24:01 +0100

python-perfact (22.1.13) unstable; urgency=medium

  [ Viktor Dick ]
  * Add function perfact.generic.re_groupdict

 -- Viktor Dick <viktor.dick@perfact.de>  Tue, 17 Jan 2023 17:06:57 +0100

python-perfact (22.1.12) unstable; urgency=medium

  [ Ján Jockusch ]
  * Fix tox testing problems

 -- Ján Jockusch <jan.jockusch@perfact.de>  Fri, 06 Jan 2023 11:35:12 +0100

python-perfact (22.1.11) unstable; urgency=medium

  [ Cornelia Köllmann ]
  * Add removing of substitute character to esc_tex
  * Add support for no_auth authtype for the booking manager

  [ Thorsten Südbrock ]
  * Even perform a password check against LDAP if we found multiple results
  * Skip bogus/empty result from LDAP server query in nested groups lookup

 -- Viktor Dick <viktor.dick@perfact.de>  Thu, 05 Jan 2023 12:43:14 +0100

python-perfact (22.1.10) unstable; urgency=medium

  [ Max Starke ]
  * Hotfix: Omit running tox tests on focal

 -- Viktor Dick <viktor.dick@perfact.de>  Fri, 18 Nov 2022 15:35:41 +0100

python-perfact (22.1.9) unstable; urgency=medium

  [Maciej Purta]
  * Add cacheconn_id param to ConnectionDecorator class
  * Add optional cacheconn_id param to createDS
  * Adjust dsException and dbconnectorException to use cacheconn_id
    instead of 'connectstring'

 -- Viktor Dick <viktor.dick@perfact.de>  Thu, 17 Nov 2022 08:38:07 +0100

python-perfact (22.1.8) unstable; urgency=medium

  [Dio Stamatis, Lea Kruse]
  * Add function upload_asset() to file.py

  [ Alexander Rolfes ]

