=== debian/control ===
Source: python-perfact
Maintainer: Dr. Ján Jockusch <jan.jockusch@perfact.de>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-pytest,
 python3-pytest,
 tox
Standards-Version: 3.9.1
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-perfact
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-dateutil,
 python-ipaddress,
 python-markdown,
 python-pycurl,
 python-pyparsing,
 python-cryptography,
 python-psycopg2,
 python-xlrd,
 python-html2text,
 python-openpyxl,
 python-qrcode,
 python-jwt,
 python-xlwt,
 python-texttable,
 python-systemd,
 python-pyodbc,
 python-requests,
 python-ldap,
 python-yaml
Recommends:
 unoconv
Suggests:
 python-m2crypto,
 python-icalendar
Description: Modules with helper functions for PerFact Web Apps.
 These modules are useful for expanding the capabilities of Zope
 applications and command line utilities.

Package: python3-perfact
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-psycopg2,
 python3-dateutil,
 python3-pycurl,
 python3-xlrd,
 python3-html2text,
 python3-markdown,
 python3-openpyxl,
 python3-pyparsing,
 python3-cryptography,
 python3-jwt,
 python3-systemd,
 python3-pyodbc,
 python3-requests
Recommends:
 unoconv,
 python3-qrcode,
 python3-xlwt,
 python3-texttable,
 python3-ldap,
 python3-yaml,
 python3-msal
Conflicts:
 python-perfact (<= 3.13.8)
Suggests:
 python-m2crypto,
 python3-icalendar
Description: Modules with helper functions for PerFact Web Apps.
 These modules are useful for expanding the capabilities of Zope
 applications and command line utilities.
