=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=perfact
DISTRO=$(shell lsb_release --codename --short)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# We only test the package on focal. On bionic and xenial, there are multiple
# issues with tox which prevent tests from running smoothly.
override_dh_auto_test:
	test $(DISTRO) = xenial -o $(DISTRO) = bionic || tox
